PHP Manual
Prev |  | Next

# ora_errorcode

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_errorcode -- Gets an Oracle error code

## Description

int ora_errorcode ( [resource cursor_or_connection] )

Returns the numeric error code of the last executed statement on the specified cursor or connection.

## Parameters

`cursor_or_connection`

  An Oracle cursor or connection identifier.

## Return Values

Returns the error code, as an integer.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.
3.0.4 | Support for connection identifiers was added.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_error() (the "code" field of the resulting array)

Prev | Home | Next
ora_error | Up | ora_exec